Bug 1014964 - Missing validation of iteration count -> Post processing error
Missing validation of iteration count -> Post processing error
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER4
: EAP 6.2.0
Assigned To: Francisco Canas
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 04:44 EDT by Petr Kremensky
Modified: 2014-09-03 00:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:16:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-03 04:44:35 EDT
Description of problem:
 There is no type validation for Iteration count during Password Vauld configuration. Installer will throw post processing error.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER3

How reproducible:
 always

Steps to Reproduce:
 1. Run gui installer
 2. On Post-Install Configuration screen select to Install password vault
 3. On password Vault Configuration screen enter "abc" to Iteration count. Fill the rest of fields and finish the installation.

Actual results:
Post Processing Error is shown (NumberFormatExcaption)

Expected results:
Input is validated on Password Vault configuration screen
Comment 1 Francisco Canas 2013-10-03 10:29:16 EDT
A numeric validator has been added to that input field. User will only be able to proceed if they enter a numeric positive iteration count.
Comment 2 Petr Kremensky 2013-10-07 07:18:58 EDT
Verified on EAP 6.2.0.ER4 installer.

Note You need to log in before you can comment on or make changes to this bug.